Skip to main content
POST
/
api
/
v1
/
blocks
Create Block
curl --request POST \
  --url https://api.example.com/api/v1/blocks \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "instance_id": "<string>",
  "description": "<string>"
}
'

Create Block

Create a new block. Block names must be unique within the same instance.
name
string
required
Block name
instance_id
string
required
Instance ID
description
string
Block description
Block names must be unique within the same instance. Attempting to create a duplicate will return a 409 Conflict error.

Example Request

curl -X POST https://api.checkpoint.b-digital.uk/api/v1/blocks \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Block A",
    "instance_id": "se8SajpJDWUwrEmhElLF",
    "description": "Main accommodation block"
  }'